cordova.define("simdoll-ad-mi.adsmi", function(require, exports, module) {
var cordova = require('cordova');

var adsmi = {
    preloadVideo: function(placementID, onSuccess, onFailed)
    {
        cordova.exec(onSuccess, onFailed, 'adsmi', 'preloadVideo', [placementID]);
    },
    playAD: function (placementID, onSuccess, onFailed)
    {
        cordova.exec(onSuccess, onFailed, 'adsmi', 'playAD', [placementID]);
    },
    /***
    {
        adsName:"csj"
        adUnitId:"广告ID",
        width:0,
        height:0
    }
    ***/
    showBanner: function(info)
    {
        cordova.exec(null, null,'adsmi', 'showBanner', [info]);
    },
    hideBanner: function(placementID)
    {
        cordova.exec(null, null, 'adsmi', 'hideBanner', []);
    },
    preloadInterstitialAd: function(info)
    {
        cordova.exec(null, null,'adsmi', 'preloadInterstitialAd', [info]);
    },
    interstitialAd: function(info,onSuccess, onFailed)
    {
        cordova.exec(onSuccess, onFailed,'adsmi', 'interstitialAd', [info]);
    },
    updateSplashUnitID: function(placementID,interval)
    {
        cordova.exec(null, null,'adsmi', 'updateSplashUnitID', [placementID,interval]);
    },
    setADEventsListener:function(listener)
    {
        cordova.exec(listener, null,'adsmi', 'setADEventsListener', []);
    }
};


module.exports = adsmi;
});
