cordova.define("simdoll-resproxy.resproxy", function(require, exports, module) {
var cordova = require('cordova');

var resproxy = {
    VERSION:3,
    start:function(cdnRoots,clientRegion,contentRealmOverride,successFunction,errorFunction){
        cordova.exec(successFunction,errorFunction,'resproxy','start',[cdnRoots,clientRegion,contentRealmOverride]);
    },
    detectUpdate: function (idxName, successFunction) {
        cordova.exec(successFunction,null, 'resproxy', 'detectUpdate', [idxName]);
    },
    preload: function (idxName, progressFunction, completeFunction) {
        cordova.exec(progressFunction, completeFunction, 'resproxy', 'preload', [idxName]);
    },
    
    preloadRes: function (idxName, resName,successFunction) {
        cordova.exec(successFunction, null, 'resproxy', 'preloadRes', [idxName,resName]);
    },
    deleteCachedRes: function (idxName, resName) {
        cordova.exec(null, null, 'resproxy', 'deleteCachedRes', [idxName,resName]);
    },
    manageStorage_untested: function (idxNames,clearCache, successFunction) {
        if(!Array.isArray(idxNames)){
            if(typeof idxNames === 'string'){
                idxNames = [idxNames];
            }else{
                idxNames = [];
            }
        }
        clearCache = clearCache?true:false;
        cordova.exec(successFunction, null, 'resproxy', 'manageStorage', [idxNames,clearCache]);
    }
};

module.exports = resproxy;

});
